Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class ResetDBParameterGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.ResetDBParameterGroupRequest

    public class ResetDBParameterGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ResetDBParameterGroup operation`.

This API modifies the parameters of a DBParameterGroup to the engine/system default value. To reset specific parameters submit a list of the following: ParameterName and ApplyMethod. To reset the entire DBParameterGroup specify the DBParameterGroup name and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next MySQL reboot or RebootDBInstance request.

See Also:
  `AmazonRDS.resetDBParameterGroup(ResetDBParameterGroupRequest)`

Constructor Summary
`ResetDBParameterGroupRequest()`

Method Summary
`String` | `getDBParameterGroupName()` The name of the DB Parameter Group.
`List<Parameter>` | `getParameters()` An array of parameter names, values, and the apply method for the parameter update.
`Boolean` | `getResetAllParameters()` Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.
`Boolean` | `isResetAllParameters()` Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.
`void` | `setParameters(Collection<Parameter> parameters)` An array of parameter names, values, and the apply method for the parameter update.
`void` | `setResetAllParameters(Boolean resetAllParameters)` Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ResetDBParameterGroupRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the DB Parameter Group.
`ResetDBParameterGroupRequest` | `withParameters(Collection<Parameter> parameters)` An array of parameter names, values, and the apply method for the parameter update.
`ResetDBParameterGroupRequest` | `withParameters(Parameter... parameters)` An array of parameter names, values, and the apply method for the parameter update.
`ResetDBParameterGroupRequest` | `withResetAllParameters(Boolean resetAllParameters)` Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResetDBParameterGroupRequest

    public ResetDBParameterGroupRequest()

Method Detail

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the DB Parameter Group.

  Returns:
    The name of the DB Parameter Group.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group.

### withDBParameterGroupName

    public ResetDBParameterGroupRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the DB Parameter Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the DB Parameter Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isResetAllParameters

    public Boolean isResetAllParameters()

  Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

  Returns:
    Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

### setResetAllParameters

    public void setResetAllParameters(Boolean resetAllParameters)

  Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

  Parameters:
    `resetAllParameters` - Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

### withResetAllParameters

    public ResetDBParameterGroupRequest withResetAllParameters(Boolean resetAllParameters)

  Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `resetAllParameters` - Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getResetAllParameters

    public Boolean getResetAllParameters()

  Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

  Returns:
    Specifies whether (true) or not (false) to reset all parameters in the DB Parameter Group to default values.

### getParameters

    public List<Parameter> getParameters()

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns:
    An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

### setParameters

    public void setParameters(Collection<Parameter> parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

### withParameters

    public ResetDBParameterGroupRequest withParameters(Parameter... parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withParameters

    public ResetDBParameterGroupRequest withParameters(Collection<Parameter> parameters)

  An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - An array of parameter names, values, and the apply method for the parameter update. At least one parameter name, value, and apply method must be supplied; subsequent arguments are optional. A maximum of 20 parameters may be modified in a single request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.